Numeric types

## Typedefs

typedef QL_INTEGER | Integer
| integer number
typedef QL_BIG_INTEGER | BigInteger
| large integer number
typedef unsigned QL_INTEGER | Natural
| positive integer
typedef QL_REAL | Real
| real number
typedef Real | Decimal
| decimal number
typedef std::size_t | Size
| size of a container
typedef Real | Time
| continuous quantity with 1-year units
typedef Real | DiscountFactor
| discount factor between dates
typedef Real | Rate
| interest rates
typedef Real | Spread
| spreads on interest rates
typedef Real | Volatility
| volatility
typedef Real | Probability
| probability

## Detailed Description

A number of numeric types are defined in order to add clarity to function and method declarations.